#ifndef DATASTRUCTURE_H_INCLUDED
#define DATASTRUCTURE_H_INCLUDED
#define MAXSONGS 30

/************************************************************************************************/
/*************************************Objects declaration****************************************/
/************************************************************************************************/

typedef struct sDate{
  int day;
  int month;
  int year ;
} sDate;

typedef struct sTime{
  int seconds;
  int minutes;
  int hours;
} sTime;

typedef struct sSong{
  char* title; 
  char* artist;  
  sTime duration;
} sSong;

typedef struct sCD{
  char* title;
  char* artist;
  unsigned int publicationYear;
  unsigned int numberOfSongs;
  sSong Songs[MAXSONGS];
} sCD;
/************************************************************************************************/
/***********************************functions declaration****************************************/
/************************************************************************************************/

void inputDate();

/************************************************************************************************/
/***********************************Externvariables****************************************/
/************************************************************************************************/
extern int countCDs;
extern sCD CDData[];

#endif // DATASTRUCTURE_H_INCLUDED
